Subject: Re: [PATCH 0/2][RFC] virtio_net: MAC filtering

From: Anthony Liguori <[email-masked]>
Date: Wed, 07 Jan 2009 12:14:51 -0600

Alex Williamson wrote:
> This series builds on some of the patches Mark McLoughlin has sent out
> recently, so likely won't apply to any current trees until those get
> upstream.  The goal is to enable MAC filtering at the kvm/qemu level for
> virtio-net packets.  Promiscuous and allmulti mode are handled by adding
> bits to Mark's proposed status field.  I also add a 16 entry MAC table
> for additional unicast and multicast addresses to filter.  If this looks
> reasonable, I'll follow-up with VLAN filtering.
>
> As noted in the RFC thread adding the kvm/qemu backing, this does
> increase the size of the virtio-net device I/O port space, up to 1kB
> with PCI rounding if we add a 4k entry VLAN bitmap.  A 64 device limit
> is still pretty high for a VM, but maybe we should think about adding
> MMIO space for virtio-pci.  Thanks,
>   

I'm not quite sure the best way to address this.  Maybe another control 
queue for sending commands to control this sort of stuff?  What are your 
thoughts Rusty?

Regards,

Anthony Liguori

> Alex